PVCREATE(8) | System Manager's Manual | PVCREATE(8)

# NAME

pvcreate - initialize a disk or partition for use by LVM

# SYNOPSIS

pvcreate [-d|--debug] [-f[f]|--force [--force]] [-y|--yes] [-h|--help] [-t|--test] [-v|--verbose] [--labelsector] [-M|--metadatatypetype] [--metadatacopies#copies] [--metadatasizesize] [--restorefilefile] [--setphysicalvolumesizesize] [-u|--uuiduuid] [--version] [-Z|--zeroy|n] PhysicalVolume [PhysicalVolume...]

# DESCRIPTION

pvcreate initializes PhysicalVolume for later use by the Logical Volume Manager (LVM). Each PhysicalVolume can be a disk partition, whole disk, meta device, or loopback file. For DOS disk partitions, the partition id should be set to 0x8e using fdisk(8), cfdisk(8), or a equivalent. For whole disk devices only the partition table must be erased, which will effectively destroy all data on that disk. This can be done by zeroing the first sector with:
dd if=/dev/zero of=PhysicalVolume bs=512 count=1
Continue with vgcreate(8) to create a new volume group on PhysicalVolume, or vgextend(8) to add PhysicalVolume to an existing volume group.

# OPTIONS

See lvm(8) for common options.

-f, --force
  Force the creation without any confirmation. You can not recreate (reinitialize) a physical volume belonging to an existing volume group. In an emergency you can override this behaviour with -ff.

-u, --uuid uuid
  Specify the uuid for the device. Without this option, pvcreate generates a random uuid. All of your physical volumes must have unique uuids. You need to use this option before restoring a backup of LVM metadata onto a replacement device - see vgcfgrestore(8).

-y, --yes
  Answer yes to all questions.

-Z, --zero y|n
  Whether or not the first 4 sectors (2048 bytes) of the device should be wiped. If this option is not given, the default is to wipe these sectors unless either or both of the --restorefile or --uuid options were specified.

# NEW METADATA OPTIONS

LVM2 introduces a new format for storing metadata on disk. This new format is more efficient and resilient than the format the original version of LVM used and offers the advanced user greater flexibility and control.
The new format may be selected on the command line with -M2 or by setting format = "lvm2" in the global section of lvm.conf. Each physical volume in the same volume group must use the same format, but different volume groups on a machine may use different formats simultaneously: the tools can handle both formats. Additional formats can be added as shared libraries.
Additional tools for manipulating the locations and sizes of metadata areas will be written in due course. Use the verbose/debug options on the tools to see where the metadata areas are placed.

--metadatasize size
  The approximate amount of space to be set aside for each metadata area. (The size you specify may get rounded.)

--metadatacopies copies
  The number of metadata areas to set aside on each PV. Currently this can be 0, 1 or 2. If set to 2, two copies of the volume group metadata are held on the PV, one at the front of the PV and one at the end. If set to 1 (the default), one copy is kept at the front of the PV (starting in the 5th sector). If set to 0, no copies are kept on this PV - you might wish to use this with VGs containing large numbers of PVs. But if you do this and then later use vgsplit you must ensure that each VG is still going to have a suitable number of copies of the metadata after the split!

--restorefile file
  In conjunction with --uuid, this extracts the location and size of the data on the PV from the file (produced by vgcfgbackup) and ensures that the metadata that the program produces is consistent with the contents of the file i.e. the physical extents will be in the same place and not get overwritten by new metadata. This provides a mechanism to upgrade the metadata format or to add/remove metadata areas. Use with care. See also vgconvert(8).

--labelsector sector
  By default the PV is labelled with an LVM2 identifier in its second sector (sector 1). This lets you use a different sector near the start of the disk (between 0 and 3 inclusive - see LABEL_SCAN_SECTORS in the source). Use with care.

--setphysicalvolumesize size
  Overrides the automatically-detected size of the PV. Use with care.

# Example

Initialize partition #4 on the third SCSI disk and the entire fifth SCSI disk for later use by LVM:
pvcreate /dev/sdc4 /dev/sde

# SEE ALSO

lvm(8), vgcreate(8), vgextend(8), lvcreate(8), cfdisk(8), fdisk(8), losetup(8), mdadm(8), vgcfgrestore(8), vgconvert(8)

LVM TOOLS 2.02.44-cvs (02-17-09) | Sistina Software UK